!//////////////////////////////////////////////////////
!//
!// sphere.f90
!//
!// Program to calculate the area of a circle
!//
!//////////////////////////////////////////////////////

PROGRAM sphere
  IMPLICIT NONE
  !// Variable declarations
  !// Pi (3.1415)
  REAL                               :: pi
  !// The radius of the sphere
  REAL                               :: radius
  !// The result of the calculations
  REAL                               :: V

  !// Initialize radius
  radius = 2.5
  !// Calculate pi using the ATAN function
  pi = 4 * ATAN(1.)
  !// Calculate the circumference
  V =  4./3. * pi * radius**3
  !// Print the result
  PRINT *, V
END PROGRAM sphere
